> ## Documentation Index
> Fetch the complete documentation index at: https://jetemail.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get outbound email logs by UID

> Retrieves detailed log information for a specific message UID. This will only return data about whether the email was delivered.



## OpenAPI

````yaml /openapi.json get /outbound/logs/uid
openapi: 3.0.0
info:
  title: JetEmail API
  version: 1.0.0
  description: API documentation for JetEmail's transactional email service.
servers:
  - url: https://api.jetemail.com
    description: Production
security:
  - apiKeyAuth: []
externalDocs:
  description: Download OpenAPI Specification
  url: /openapi.json
paths:
  /outbound/logs/uid:
    get:
      tags:
        - Outbound
      summary: Get outbound email logs by UID
      description: >-
        Retrieves detailed log information for a specific message UID. This will
        only return data about whether the email was delivered.
      parameters:
        - name: uid
          in: query
          required: true
          description: Unique identifier of the message
          schema:
            type: string
            pattern: ^[A-Za-z0-9-_]{1,50}$
      responses:
        '200':
          description: Successfully retrieved log details
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uid:
                          type: string
                          description: Unique identifier
                          example: abc123
                        action:
                          type: string
                          description: Action taken on the message
                          example: ACCEPTED
                        message_id:
                          type: string
                          description: Email message ID
                          example: <abc123@server.local>
                        response:
                          type: string
                          description: Server response
                          example: '250 2.0.0 Ok: queued'
                        user:
                          type: string
                          description: Username
                          example: smtp_user1
                        from_address:
                          type: string
                          description: Sender email address
                          example: sender@example.com
                        to_address:
                          type: string
                          description: Recipient email address
                          example: recipient@example.com
                        date:
                          type: string
                          description: Transaction date
                          example: '2024-03-20T15:30:00Z'
                        mx:
                          type: string
                          description: MX server used
                          example: mx.recipient.com
                        host:
                          type: string
                          description: Host server name
                          example: outbound1.server.local
                        outbound_ip:
                          type: string
                          description: IP address used for sending
                          example: 192.168.1.1
        '400':
          description: Bad Request - Invalid UID format
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid or missing UID
        '401':
          description: Unauthorized - User not authenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Required information not found
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Failed to fetch logs
components:
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: API key for account management endpoints. Use your api_ prefixed token.

````